net.sf.jasperreports.engine.design

## Class JRDesignParameter

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseParameter
  - - net.sf.jasperreports.engine.design.JRDesignParameter

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRCloneable, JRParameter, JRPropertiesHolder
  Direct Known Subclasses:
    JRDesignCrosstabParameter

      public class JRDesignParameter
      extends JRBaseParameter

  Version:
    $Id: JRDesignParameter.java 5898 2013-01-22 12:20:10Z chicuslavic $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_DEFAULT_VALUE_EXPRESSION`
    `static java.lang.String` | `PROPERTY_FOR_PROMPTING`
    `static java.lang.String` | `PROPERTY_NAME`
    `static java.lang.String` | `PROPERTY_NESTED_TYPE_NAME`
    `static java.lang.String` | `PROPERTY_SYSTEM_DEFINED`
    `static java.lang.String` | `PROPERTY_VALUE_CLASS_NAME`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseParameter

      `defaultValueExpression, description, isForPrompting, isSystemDefined, name, nestedType, nestedTypeName, propertiesMap, PROPERTY_DESCRIPTION, valueClass, valueClassName, valueClassRealName`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRParameter

      `FILTER, IS_IGNORE_PAGINATION, JASPER_REPORT, JASPER_REPORTS_CONTEXT, REPORT_CLASS_LOADER, REPORT_CONNECTION, REPORT_CONTEXT, REPORT_DATA_SOURCE, REPORT_FILE_RESOLVER, REPORT_FORMAT_FACTORY, REPORT_LOCALE, REPORT_MAX_COUNT, REPORT_PARAMETERS_MAP, REPORT_RESOURCE_BUNDLE, REPORT_SCRIPTLET, REPORT_TEMPLATES, REPORT_TIME_ZONE, REPORT_URL_HANDLER_FACTORY, REPORT_VIRTUALIZER, SORT_FIELDS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignParameter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setDefaultValueExpression(JRExpression expression)`
    `void` | `setForPrompting(boolean isForPrompting)`
    `void` | `setName(java.lang.String name)`
    `void` | `setNestedType(java.lang.Class<?> type)` Sets the parameter nested value type.
    `void` | `setNestedTypeName(java.lang.String typeName)` Sets the parameter nested value type.
    `void` | `setSystemDefined(boolean isSystemDefined)`
    `void` | `setValueClass(java.lang.Class<?> clazz)`
    `void` | `setValueClassName(java.lang.String className)`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseParameter

      `clone, getDefaultValueExpression, getDescription, getEventSupport, getName, getNestedType, getNestedTypeName, getParentProperties, getPropertiesMap, getValueClass, getValueClassName, hasProperties, isForPrompting, isSystemDefined, setDescription`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_DEFAULT_VALUE_EXPRESSION

          public static final java.lang.String PROPERTY_DEFAULT_VALUE_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_FOR_PROMPTING

          public static final java.lang.String PROPERTY_FOR_PROMPTING

      See Also:
        Constant Field Values

    - #### PROPERTY_NAME

          public static final java.lang.String PROPERTY_NAME

      See Also:
        Constant Field Values

    - #### PROPERTY_SYSTEM_DEFINED

          public static final java.lang.String PROPERTY_SYSTEM_DEFINED

      See Also:
        Constant Field Values

    - #### PROPERTY_VALUE_CLASS_NAME

          public static final java.lang.String PROPERTY_VALUE_CLASS_NAME

      See Also:
        Constant Field Values

    - #### PROPERTY_NESTED_TYPE_NAME

          public static final java.lang.String PROPERTY_NESTED_TYPE_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRDesignParameter

          public JRDesignParameter()

  - ### Method Detail

    - #### setName

          public void setName(java.lang.String name)

    - #### setValueClass

          public void setValueClass(java.lang.Class<?> clazz)

    - #### setValueClassName

          public void setValueClassName(java.lang.String className)

    - #### setNestedType

          public void setNestedType(java.lang.Class<?> type)

      Sets the parameter nested value type.
      Parameters:
        `type` - the nester value type
      See Also:
        `JRBaseParameter.getNestedType()`

    - #### setNestedTypeName

          public void setNestedTypeName(java.lang.String typeName)

      Sets the parameter nested value type.
      Parameters:
        `typeName` - the name of the nested value type
      See Also:
        `JRBaseParameter.getNestedType()`

    - #### setSystemDefined

          public void setSystemDefined(boolean isSystemDefined)

    - #### setForPrompting

          public void setForPrompting(boolean isForPrompting)

    - #### setDefaultValueExpression

          public void setDefaultValueExpression(JRExpression expression)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com